use std::io;
use std::path::Path;
use serde::{Deserialize, Serialize};
use url::Url;
use pkgfile::PKGFile;
use crate::api::Query;
use crate::CONFIG;
use crate::package::Package;
use crate::repo::index::RepoIndex;

/// This struct solely exists for indexing and has no real functionality.
#[derive(Serialize, Deserialize)]
pub struct IndexPackage {
    name: String,
    versions: Vec<u32>,
    tags: Vec<String>,
    uri: Url
}